#ifndef  __BIN_READ                          /* Avoid multiple includes */
#define  __BIN_READ                          


#include "lv1_struct.h"
#include "read1c_defs.h"

void float_getbin (FILE* unit, float *var);
void float_array_getbin (FILE* unit, float *var, int nr);

void int_getbin (FILE* unit, int *var);
void int_array_getbin (FILE* unit, int *var, int nr);

void uint_getbin (FILE* unit, unsigned int *var);
void uint_array_getbin (FILE* unit, unsigned int *var, int nr);

void short_getbin (FILE* unit, short *var);
void short_array_getbin (FILE* unit, short *var, int nr);

void ushort_getbin (FILE* unit, unsigned short *var);
void ushort_array_getbin (FILE* unit, unsigned short *var, int nr);

void long_getbin (FILE* unit, long *var);
void long_array_getbin (FILE* unit, long *var, int nr);

void ulong_getbin (FILE* unit, unsigned long *var);
void ulong_array_getbin (FILE* unit, unsigned long *var, int nr);

void char_getbin (FILE* unit, char *var);
void char_array_getbin (FILE* unit, char *var, int nr);

void uchar_getbin (FILE* unit, unsigned char *var);
void uchar_array_getbin (FILE* unit, unsigned char *var, int nr);

void MJD_getbin (FILE* unit, MJD *var);
void MJD_array_getbin (FILE* unit, MJD *var, int nr);

void GeoN_getbin (FILE* unit, GeoN *var);
void GeoN_array_getbin (FILE* unit, GeoN *var, int nr);

void GeoL_getbin (FILE* unit, GeoL *var);
void GeoL_array_getbin (FILE* unit, GeoL *var, int nr);

void GeoCal_getbin (FILE* unit, GeoCal *var);
void GeoCal_array_getbin (FILE* unit, GeoCal *var, int nr);

void Coord_getbin (FILE* unit, Coord *var);
void Coord_array_getbin (FILE* unit, Coord *var, int nr);

void cal_options_GADS_getbin (FILE* unit, cal_options_GADS *var);

void Clcon_array_getbin (FILE* unit, Clcon *var, int nr);
void Clcon_getbin (FILE* unit, Clcon *var);

void ads_states_getbin (FILE* unit, ads_states *var);

void gads_sun_ref_getbin (FILE* unit, gads_sun_ref *var);

void mds_1c_constant_getbin (FILE* unit, mds_1c_constant *var);



#endif /* __BIN_READ */
